<script lang="ts" setup>
import type { BaseLink, BaseCard } from '@/types/base';

interface ExtendedCard extends BaseCard {
  primaryButton?: BaseLink;
}

defineProps({
  title: {
    type: String,
    required: false,
  },
  cards: {
    type: Array as PropType<ExtendedCard[]>,
    required: true,
  },
});
</script>

<template>
  <section class="plans-cards">
    <SlpContainer>
      <SlpTypography variant="heading3-bold" tag="h3" class="plans-cards__title"
        ><span v-html="$md.render(title)"></span
      ></SlpTypography>
      <SlpRow class="slp-mt-48">
        <SlpColumn v-for="card in cards" :key="card.title" :cols="6" class="plans-cards__column">
          <div class="plans-cards__card" :class="card.config?.background">
            <div class="plans-cards__card__content">
              <SlpTypography variant="heading3-bold" tag="h3">{{ card.title }}</SlpTypography>
              <SlpTypography variant="body1-bold" tag="p" class="slp-mt-4">{{ card.description }}</SlpTypography>
            </div>
            <div class="plans-cards__card__buttons">
              <SlpButton
                v-if="card.primaryButton"
                :href="card.primaryButton.config?.href"
                variant="primary"
                :data-ga-name="card.primaryButton.config?.dataGaName"
                :data-ga-location="card.primaryButton.config?.dataGaLocation"
                class="plans-cards__card__button"
              >
                {{ card.primaryButton.text }}
              </SlpButton>
              <SlpButton
                v-if="card.button"
                :href="card.button.config?.href"
                variant="secondary"
                :data-ga-name="card.button.config?.dataGaName"
                :data-ga-location="card.button.config?.dataGaLocation"
                class="plans-cards__card__button"
              >
                {{ card.button.text }}
              </SlpButton>
            </div>
          </div>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.plans-cards {
  margin: $spacing-96 0;
  @media (max-width: $breakpoint-md) {
    margin: $spacing-64 0;
  }

  &__title {
    text-align: center;
    :deep(a) {
      text-decoration: underline !important;
    }
  }

  &__column {
    @media (min-width: $breakpoint-md) {
      &:nth-child(odd) {
        padding-right: $spacing-32;
      }
    }

    @media (max-width: $breakpoint-md) {
      &:nth-child(even) {
        padding-top: $spacing-32;
      }
    }
  }

  &__card {
    height: 100%;
    border: 1px solid $color-surface-300;
    border-radius: $spacing-8;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    &.purple {
      background: linear-gradient(
        74deg,
        #eee7fd 18.08%,
        rgba(246, 243, 254, 0.83) 88.09%,
        rgba(255, 212, 216, 0.45) 158.9%
      );
    }
    &.gradient {
      background: linear-gradient(
        81deg,
        #eee7fd -79.12%,
        rgba(246, 243, 254, 0.83) 3.51%,
        rgba(255, 212, 216, 0.45) 85.77%
      );
    }

    &__content {
      padding: $spacing-48 $spacing-48 $spacing-32 $spacing-48;
    }

    &__buttons {
      padding: $spacing-48;
      width: 100%;
      display: flex;
      gap: $spacing-16;
      flex-direction: row;
      border-top: 1px solid $color-surface-300;
      background-color: $color-surface-50;
      border-radius: 0 0 $spacing-8 $spacing-8;

      @media (max-width: $breakpoint-md) {
        display: block;
        padding: $spacing-16 $spacing-32 $spacing-32 $spacing-32;
        .plans-cards__card__button {
          width: 100%;
          margin-top: $spacing-16;
        }
      }

      .slp-btn-secondary {
        border: 1px solid $color-primary-200;
        text-align: center;
        flex: 1;
        justify-content: center;
      }
    }
  }
}
</style>
